Welcome to the new monday developer community
Discussions category for everything related to app development on top of monday.com
Recently active
Hi, I have an automations based app, which had some oauth scopes already and did not have team:read, as I did not need it till now. Now I created a new automation which required that permission. I have made the app live with that new automation and this scope checked. Now a customer who already had app installed is using new automation, but still the automation is failing due to the fact that app does not have permissions to read team data for that customer. How can customer go ahead and update the permissions. Please help in this regard ASAP.
Hello 🙂 I’ve been building my first monday.com app for the last couple of days, and I struggled on how do I access ‘monday.storage’ through a webhook. I’ve done some research and found a discussion here where Dipro explained that the storage api is accessible through the client side only, and actually the only ‘monday’ method accessible through server side is ‘monday.api’. My knowledge and experience in js and react is very low, so I’d be very glad if anyone could provide a snippet. Thanks in advance.
I am trying to delete an update reply in 2024-10 or later, but it’s giving me an error. But in version 2024-07 this action is working. Can anyone confirm if Monday.com has removed that feature? It’s not mentioned in the changelog or documentation.
I have set a column that sends a webhooks push notification when the column is changed. Today when I changed the column, I did not receive the webhooks push notification. Instead, I was prompted with the following message. I would like to know how to avoid this situation. This webhook failed due to an issue with the server. Please make sure it's up and running.
I filed a support ticket and was told there is no developer access for CRM. This means in order to test our marketplace apps for the CRM,we will either have to pay for the product after 14 days or create a new account for testing every 14 days. Is there a way to get account credits to cover the cost as a temporary workaround?
I have seen the changelog pages for the API and App Framework, and this is useful information, but I am not finding information on how Monday communicates upcoming changes that may break a developer app or integration. I get that it is up to developers to determine if an upcoming change will break our app, but waiting until the changelog is published is too late. Thanks in advance for pointing me to the correct resource for this.
Hi, Recently we have started the review process for a new app on the marketplace. We noticed that as part of the intake, we had to create a Payoneer account. Does that mean that the current vendor board to track payouts and invoices will be deprecated? If not, what is the goal of the Payoneer account? @shaulgittelman - something you can comment on? Kr, Jorne
Hey, I am trying to setup a tunnel connection, but it’s failing for all mp apps, it was working till yesterday. I am getting the following error:- ✖️ Fetching tunnel connection auth token [FAILED: Unexpected error occurred while communicating with the remote server] What should be done here?
Hi there, I’m trying to build an integration between Freshdesk and Monday. I order to capture events happening in Monday board. I would like to register a webhook in monday to capture update events in tasks. I would like to know if this is possible and if so Can anyone tell which webhook event should i register in order to achieve this. Thanks in advance 🙂
Hello, In this field, I selected Linkage Boards and Linkage Column types, but how do they work? In my recipe, I can’t use this directly; it says, “Select a board first.” Is there any documentation about these field types? For columns, boards, or item IDs, it’s straightforward, but what about these Linkage field types? What exactly are they? My goal is to allow the user to choose the linked board and linked column (mirror) in my recipe to retrieve the linked board ID and column ID. Is this the correct approach?
Hi All, Having a nightmare here, I’ve tried in python, node.js and curl and I cannot upload a file via the API. Here is a basic curl request I’m using: curl --location ‘https://api.monday.com/v2/file’ –header ‘Authorization: Bearer REDACTED’ –form ‘variables[file]=@/path/to/your/file.jpg’ –form ‘query=mutation($file: File!) { add_file_to_column(item_id: 8123268638, column_id: “text”, file: $file) { id } }’ according to the docs this should work, but all I get is: { “status_code”: 500, “error_message”: “Internal server error”, “error_code”: “INTERNAL_SERVER_ERROR”, “errors”: [ { “message”: “Internal server error”, “extensions”: { “status_code”: 500, “error_code”: “INTERNAL_SERVER_ERROR” } } ] } no matter what implementation I use, is there an issue with the API?
In the first video of our series, I hosted our API Product Manager, Daniel Hai, for a walkthrough session on the API Playground. I personally learned a lot from this session (and now I know I can use the Ask AI button for anything I’m unsure about!). The monday.com API Playground Walkthrough What topics would you like us to cover in future videos? Let us know in the comments
Last year to prepare for the Monday API v2, we were told to add the header API_Version with a value of 2023-10. This swapped our requests to use Monday’s v2 API version. Now this header is causing all of my programs to break. Is there a change that happened that I’m unaware up? Is this a mistake? It’s all fine but I have to change 50+ applications to now remove this Header. It’s just time consuming and unexpected.
Hi, I’m integrating my app with Monday.com using React.js, and in the backend, I’ve set up OAuth for users to obtain access tokens and grant permissions. I want to ask how I can deploy both my frontend and backend. Currently, I’m using ngrok for my local setup. Can I host my app using the Monday CLI, specifically with the mapps code:push command? As I’m new to Monday.com, I would greatly appreciate your assistance. Thank you.
Hi community, I am new to monday app development and need a help regarding app_subscription_operations quaries. For a feature based app with monthly subscriptions and usage limits (here after refer as credits) usage of the app need to be manually updated by the developer using the increase_app_subscription_operations. And as per the my current undestanding I can compare this incremental value with a hard coded package credit value in my app to see whether the user has more credits or not for that given period. Based on that can grant access to resourses. (If this approch is not ideal pl let me know). Now the issue in a case if the user upgrade or downgrade the subscription then according to the docs monday will handle this in a prorate manner. But in such a case as the developer how can I know the prorated value. Do I have to do the calculation my self and keep track of it or is there a better approch for this kind of a situation. Thanks.
Hello! My app, which has been running for a few years, suddenly stopped uploading files. It seems that the upload via the v2/ endpoint stopped working. I have a client-side JavaScript app using fetch. It is a known example from this forum. let query = `mutation add_file($file: File!) { add_file_to_column (item_id: ${itemId}, column_id: "${columnId}", file: $file) {id} }`; const formData = new FormData(); formData.append("variables[file]", newFile, newFile.name); formData.append("query", query); let result = await fetch('https://api.monday.com/v2/', { method: "POST", body: formData, headers: { "Authorization": "APIToken" } }); I tried a few things that failed: v2 endpoint: Monday returns CORS error “error type: cors, status: 500”. v2/file endpoint: I got an error, but not from Monday, “Failed to fetch” and “has been blocked by CORS policy”. via monday.api: It sends a request to the v2/ endpoint. I got a response from Monday, “
I create a link in a cell with two components, the URL and some text. Thus I create a clickable link that jumps to the URL, perfect. Now what I need for my client is the following: a cell with some text that reads "SKUs" and when they hover over that with a mouse, the hover bubble shows off all the text representing 1 or more SKUs. The problem I have is Monday API seems to only support the link concepts of URL and some text to display. I see no way to add an ALT TAG full of the SKUs themselves. The idea is, the client can hover over the link (with an URL set to ‘#’ so it goes nowhere) but the hover bubble would quickly show off all the SKUs associated with the item row. Looking for a way to accomplish this and open to any suggestions. Please! I do not want to litter a cell with all the SKUs but if a link and hover is impossible, I suppose this is what I will have to do.
Hi everyone, I’m working on an integration using the Monday Apps SDK and encountered an issue with the monday.storage.instance.getItem and monday.storage.instance.setItem methods. The responses I’m getting don’t seem to match what’s described in the Monday.com documentation. Specifically, the getItem response doesn’t include a field named value, as expected. Here are the responses I received: SetItem Response: { "method": "storage", "args": { "method": "set", "key": "login", "value": "loggedin", "options": {}, "segment": "v2" }, "requestId": "tcf49hp", "version": "0.5.5" } GetItem Response: { "method": "storage", "args": { "method": "get", "key": "login", "options": {}, "segment": "v2" }, "requestId": "d3bhc1s", "version": "0.5.5" } Issue: According to the documentation, the getItem response should include a value field containing the stored value. However, in my case, this field is missing from the response. The structure of
Hi, I have a quick question: I’m using a Monday code app and need it to access a Redis instance for a queue system. To do this, the IP address needs to be whitelisted on my Redis instance. Is there a way to get the app’s IP address? Alternatively, do you know of any good queue system solutions that work well with Monday code apps? Thanks for your help!
Hi everyone, I’m working on automating our recruitment process by creating a flow that automatically adds candidates’ CVs from email to Monday.com. Here’s my current automation setup in Make.com: Email gets forwarded to Make.com (works) Parse email content (to extract candidate info) (works) Create new item in Monday.com board (works) Add the CV file to the Monday.com item (doesn’t work) However, when trying to add the CV file to the Monday.com File column, I keep getting this error: [400] Unsupported query I’ve verified that: The Monday.com column is set up as a File type I have the necessary permissions The integration is properly connected Has anyone successfully set up a similar automation? Any ideas what might be causing this error? Many thanks Peter
I have an item that is moved from one board to another. How do you capture the board id of the original board? In the workflow block, you can get the new board id from the context and item id from trigger output, but I can’t find a way to get the id of the original board. The POST body currently looks something like this: { "payload": { "blockKind": "action", "inboundFieldValues": { "boardId": 2662470531, "itemId": 2687058843 }, "inputFields": { "boardId": 2662470531, "itemId": 2687058843 }, "recipeId": ..., "integrationId": ... }, "runtimeMetadata": { "actionUuid": "...", "triggerUuid": "..." } } We’re moving the item between board ids: 1642425449 -> 2662470531 How do I get hold of 1642425449 in the POST body?
I’ve got some questions regarding moday storage using the the python SDK. The storage seems to not have a search/filter option, this makes it only useful for simple use, unless I build a layer which would handle each key as a collection and would manage the filtering, but then the whole collection is in the memory. Is there a best practice or another way of getting items by values? Is it possible to set the configuration to connect to monday storage from a local Dev environment? I’ve tried using my developer token and changing the URL to the hosted version but was still unauthorised. Does the storage have a concurrency or connection limit? Just to clarify, Is the application data shared between all users on the account? Tnx, Reuven
We are implementing dynamic field mapping from Monday to external apps. However, webhook data received from monday.com does not include fields that have been updated to empty (null) values. For example, if you have an automation of: When any column changes, update an item in external apps An a dynamic field mapping: Name → Name Numbers → Numbers When the field Numbers is made empty, the webhook is triggered. However, the Numbers value is excluded in the webhook data since the value is null. Is there any way to identify that the value has changed? Thank you!
I am doing an API call to get the list of status names available to a status column. Here is my call; "{boards (ids: 123) {columns(ids: "status"){settings_str} } }" Here is the response; "{\\"data\\":{\\"boards\\":[{\\"columns\\":[{\\"settings_str\\":\\"{\\\\\\"done_colors\\\\\\":[1],\\\\\\"color_mapping\\\\\\":{\\\\\\"0\\\\\\":15,\\\\\\"1\\\\\\":4,\\\\\\"2\\\\\\":107,\\\\\\"3\\\\\\":109,\\\\\\"4\\\\\\":7,\\\\\\"7\\\\\\":16,\\\\\\"9\\\\\\":13,\\\\\\"13\\\\\\":0,\\\\\\"15\\\\\\":9,\\\\\\"16\\\\\\":2,\\\\\\"107\\\\\\":3,\\\\\\"109\\\\\\":1},\\\\\\"labels\\\\\\":{\\\\\\"0\\\\\\":\\\\\\"Client, Vendor, Venue\\\\\\",\\\\\\"1\\\\\\":\\\\\\"Client\\\\\\",\\\\\\"2\\\\\\":\\\\\\"Vendor\\\\\\",\\\\\\"3\\\\\\":\\\\\\"Client, Venue\\\\\\",\\\\\\"5\\\\\\":\\\\\\"\\\\\\",\\\\\\"6\\\\\\":\\\\\\"Qualified Lead\\\\\\",\\\\\\"13\\\\\\":\\\\\\"Partner\\\\\\"},\\\\\\"labels_positions_v2\\\\\\":{\\\\\\"0\\\\\\":5,\\\\\\"1\\\\\\":1,\\\\\\"2\\\\\\":3,\\\\\\"3\\\\\\":6,\\\\\\"5\\\\\\":4,\\\\\\"6\\\\\\":0,\\\
I’ve got some questions regarding moday storage using the the python SDK. The storage seems to not have a search/filter option, this makes it only useful for simple use, unless I build a layer which would handle each key as a collection and would manage the filtering, but then the whole collection is in the app memory. Is there a recommended solution? Is it possible set the configuration to cennect to monday storage form a local Dev , I’ve tried using my developer token but was still unauthorised. Does the storage have a concurrency or connection limit? Just to clarify, Is the application data shared between all users on the account? Tnx, Reuven
Already have an account? Login
No account yet? Create an account
Enter your E-mail address. We'll send you an e-mail with instructions to reset your password.